OwnedMetaClass (Groovy 5.1.0)

Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class OwnedMetaClass

- org.codehaus.groovy.runtime.metaclass.OwnedMetaClass

-     public abstract class OwnedMetaClass
      extends DelegatingMetaClass

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DelegatingMetaClass` | `delegate`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `OwnedMetaClass(MetaClass delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object obj)`
    `` | `public Object` | `getAttribute(Object object, String attribute)`
    `` | `public Object` | `getAttribute(Class sender, Object receiver, String messageName, boolean useSuper)`
    `` | `public ClassNode` | `getClassNode()`
    `` | `public MetaMethod` | `getMetaMethod(String name, Object[] args)`
    `` | `public MetaMethod` | `getMetaMethod(String name, Class[] argTypes)`
    `` | `public List<MetaMethod>` | `getMetaMethods()`
    `` | `public MetaProperty` | `getMetaProperty(String name)`
    `` | `public List<MetaMethod>` | `getMethods()`
    `` | `protected abstract Object` | `getOwner()`
    `` | `protected abstract MetaClass` | `getOwnerMetaClass(Object owner)`
    `` | `public List<MetaProperty>` | `getProperties()`
    `` | `public Object` | `getProperty(Object object, String property)`
    `` | `public Object` | `getProperty(Class sender, Object receiver, String messageName, boolean useSuper, boolean fromInsideClass)`
    `` | `public MetaMethod` | `getStaticMetaMethod(String name, Object[] args)`
    `` | `public MetaMethod` | `getStaticMetaMethod(String name, Class[] argTypes)`
    `` | `public Class` | `getTheClass()`
    `` | `public MetaProperty` | `hasProperty(Object obj, String name)`
    `` | `public int` | `hashCode()`
    `` | `public Object` | `invokeConstructor(Object[] arguments)`
    `` | `public Object` | `invokeMethod(Object object, String methodName, Object arguments)`
    `` | `public Object` | `invokeMethod(Object object, String methodName, Object[] arguments)`
    `` | `public Object` | `invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)`
    `` | `public Object` | `invokeMissingMethod(Object instance, String methodName, Object[] arguments)`
    `` | `public Object` | `invokeMissingProperty(Object instance, String propertyName, Object optionalValue, boolean isGetter)`
    `` | `public Object` | `invokeStaticMethod(Object object, String methodName, Object[] arguments)`
    `` | `public boolean` | `isGroovyObject()`
    `` | `public List<MetaMethod>` | `respondsTo(Object obj, String name, Object[] argTypes)`
    `` | `public List<MetaMethod>` | `respondsTo(Object obj, String name)`
    `` | `public int` | `selectConstructorAndTransformArguments(int numberOfConstructors, Object[] arguments)`
    `` | `public void` | `setAttribute(Object object, String attribute, Object newValue)`
    `` | `public void` | `setAttribute(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)`
    `` | `public void` | `setProperty(Object object, String property, Object newValue)`
    `` | `public void` | `setProperty(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DelegatingMetaClass` | `addMetaBeanProperty, addMetaMethod, addNewInstanceMethod, addNewStaticMethod, equals, getAdaptee, getAttribute, getAttribute, getClassNode, getMetaClass, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getProperties, getProperty, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, initialize, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, isModified, pickMethod, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAdaptee, setAttribute, setAttribute, setMetaClass, setProperty, setProperty, setProperty, toString`

- - ### Constructor Detail

    - #### public OwnedMetaClass(MetaClass delegate)

  - ### Method Detail

    - #### @Override
      public boolean equals(Object obj)

    - #### @Override
      public Object getAttribute(Object object, String attribute)

    - #### @Override
      public Object getAttribute(Class sender, Object receiver, String messageName, boolean useSuper)

    - #### @Override
      public ClassNode getClassNode()

    - #### @Override
      public MetaMethod getMetaMethod(String name, Object[] args)

    - #### public MetaMethod getMetaMethod(String name, Class[] argTypes)

    - #### @Override
      public List<MetaMethod> getMetaMethods()

    - #### @Override
      public MetaProperty getMetaProperty(String name)

    - #### @Override
      public List<MetaMethod> getMethods()

    - #### protected abstract Object getOwner()

    - #### protected abstract MetaClass getOwnerMetaClass(Object owner)

    - #### @Override
      public List<MetaProperty> getProperties()

    - #### @Override
      public Object getProperty(Object object, String property)

    - #### @Override
      public Object getProperty(Class sender, Object receiver, String messageName, boolean useSuper, boolean fromInsideClass)

    - #### @Override
      public MetaMethod getStaticMetaMethod(String name, Object[] args)

    - #### @Override
      public MetaMethod getStaticMetaMethod(String name, Class[] argTypes)

    - #### @Override
      public Class getTheClass()

    - #### @Override
      public MetaProperty hasProperty(Object obj, String name)

    - #### @Override
      public int hashCode()

    - #### @Override
      public Object invokeConstructor(Object[] arguments)

    - #### @Override
      public Object invokeMethod(Object object, String methodName, Object arguments)

    - #### @Override
      public Object invokeMethod(Object object, String methodName, Object[] arguments)

    - #### @Override
      public Object invokeMethod(Class sender, Object receiver, String methodName, Object[] arguments, boolean isCallToSuper, boolean fromInsideClass)

    - #### @Override
      public Object invokeMissingMethod(Object instance, String methodName, Object[] arguments)

    - #### @Override
      public Object invokeMissingProperty(Object instance, String propertyName, Object optionalValue, boolean isGetter)

    - #### @Override
      public Object invokeStaticMethod(Object object, String methodName, Object[] arguments)

    - #### @Override
      public boolean isGroovyObject()

    - #### @Override
      public List<MetaMethod> respondsTo(Object obj, String name, Object[] argTypes)

    - #### @Override
      public List<MetaMethod> respondsTo(Object obj, String name)

    - #### @Override
      public int selectConstructorAndTransformArguments(int numberOfConstructors, Object[] arguments)

    - #### @Override
      public void setAttribute(Object object, String attribute, Object newValue)

    - #### @Override
      public void setAttribute(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)

    - #### @Override
      public void setProperty(Object object, String property, Object newValue)

    - #### @Override
      public void setProperty(Class sender, Object receiver, String messageName, Object messageValue, boolean useSuper, boolean fromInsideClass)

    - #### @Override
      public String toString()